Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.factory
[Groovy] Class HBoxFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory
              groovy.swing.factory.ComponentFactory
                  groovy.swing.factory.HBoxFactory

    class HBoxFactory
    extends ComponentFactory

Field Summary

Fields inherited from class BeanFactory
leaf

Constructor Summary
`HBoxFactory()`

Method Summary
`java.lang.Object` | `newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)`

Methods inherited from class ComponentFactory
setChild

Methods inherited from class BeanFactory
isLeaf, newInstance

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### HBoxFactory

    HBoxFactory()

Method Detail

### newInstance

    java.lang.Object newInstance(FactoryBuilderSupport builder, java.lang.Object name, java.lang.Object value, java.util.Map attributes)

Groovy Documentation